## org.emboss.jemboss.gui.startup
Class ProgList

    java.lang.Object
      |
      +--org.emboss.jemboss.gui.startup.ProgList

public class ProgList
extends java.lang.Object

Inner Class Summary
`(package private) class` `ProgList.HorizontalMenu`

Field Summary
`protected static javax.swing.border.Border` `raisedBorder`

Constructor Summary
`ProgList(java.lang.String woss, java.lang.String currentDirectory, javax.swing.JMenuBar menuBar)`

Method Summary
`javax.swing.JMenuItem[]` `getMenuItems()`
`int` `getNumberMenuItems()`
`int` `getNumPrimaryGroups()`
`int` `getNumProgs()`
`javax.swing.JMenu[]` `getPrimaryGroups()`
`java.lang.String[]` `getProgDescription()`
`java.lang.String[]` `getProgsList()`
`void` `writeList()`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### raisedBorder

    protected static javax.swing.border.Border raisedBorder

Constructor Detail

### ProgList

    public ProgList(java.lang.String woss,
                    java.lang.String currentDirectory,
                    javax.swing.JMenuBar menuBar)

Method Detail

### getNumProgs

    public int getNumProgs()

### getProgsList

    public java.lang.String[] getProgsList()

### getProgDescription

    public java.lang.String[] getProgDescription()

### writeList

    public void writeList()

### getMenuItems

    public javax.swing.JMenuItem[] getMenuItems()

### getNumberMenuItems

    public int getNumberMenuItems()

### getNumPrimaryGroups

    public int getNumPrimaryGroups()

### getPrimaryGroups

    public javax.swing.JMenu[] getPrimaryGroups()